<?php

/**
* Clase Bean para Documento
*
* @package Prj
* @subpackage DocumentoBean
* @author Willy
* @version SVN: : DocumentoBean.class.php,v 1.1 2009/05/23 00:07:26 william.taype Exp $
*/
class DocumentoBean{

  protected $IdDocumento;
  protected $Descripcion;
  protected $Estado;
  protected $Eliminado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $FechaEliminado;
  protected $UsuarioEliminado;
  
  protected $Mensaje;
  protected $Error;

  public function getIdDocumento(){
    return $this->IdDocumento;
  }
  public function setIdDocumento($v){
    $this->IdDocumento = $v;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v){
    $this->Descripcion = $v;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }
  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }
  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }
   public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  } 
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}